Skip to main content
POST
/
api2
/
v1
/
projectTemplates
/
{projectTemplateUid}
/
clone
Clone project template
curl --request POST \
  --url https://cloud.memsource.com/web/api2/v1/projectTemplates/{projectTemplateUid}/clone \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>"
}
'
{
  "assignedTo": [
    {
      "providers": [
        {
          "type": "<string>",
          "id": "<string>",
          "uid": "<string>"
        }
      ],
      "targetLang": "<string>"
    }
  ],
  "businessUnit": {
    "id": "<string>",
    "name": "<string>",
    "uid": "<string>"
  },
  "client": {
    "id": "<string>",
    "name": "<string>",
    "uid": "<string>"
  },
  "createdBy": {
    "email": "<string>",
    "firstName": "<string>",
    "id": "<string>",
    "lastName": "<string>",
    "uid": "<string>",
    "userName": "<string>"
  },
  "dateCreated": "2023-11-07T05:31:56Z",
  "dateModified": "{ \"epochSeconds\": 1624619701, \"nano\": 0 }",
  "dateTimeModified": "2023-11-07T05:31:56Z",
  "domain": {
    "id": "<string>",
    "name": "<string>",
    "uid": "<string>"
  },
  "dynamicTitle": "<string>",
  "fileHandoverSettings": {
    "fileHandover": true
  },
  "id": "<string>",
  "importSettings": {
    "uid": "<string>"
  },
  "modifiedBy": {
    "email": "<string>",
    "firstName": "<string>",
    "id": "<string>",
    "lastName": "<string>",
    "uid": "<string>",
    "userName": "<string>"
  },
  "name": "<string>",
  "note": "<string>",
  "notifyProviders": {
    "organizationEmailTemplate": {},
    "notificationIntervalInMinutes": 720
  },
  "owner": {
    "email": "<string>",
    "firstName": "<string>",
    "id": "<string>",
    "lastName": "<string>",
    "uid": "<string>",
    "userName": "<string>"
  },
  "projectWorkflowSettings": {
    "completeUnassigned": true,
    "propagateTranslationsToLowerWfDuringUpdateSource": true
  },
  "sourceLang": "<string>",
  "subDomain": {
    "id": "<string>",
    "name": "<string>",
    "uid": "<string>"
  },
  "targetLangs": [
    "<string>"
  ],
  "templateName": "<string>",
  "uid": "<string>",
  "useDynamicTitle": true,
  "vendor": {
    "id": "<string>",
    "name": "<string>",
    "uid": "<string>"
  },
  "workflowSettings": [
    {
      "assignedTo": [
        {
          "providers": [
            {
              "type": "<string>",
              "id": "<string>",
              "uid": "<string>"
            }
          ],
          "targetLang": "<string>"
        }
      ],
      "lqaProfile": {
        "uid": "<string>"
      },
      "notifyProvider": {
        "organizationEmailTemplate": {},
        "notificationIntervalInMinutes": 720
      },
      "workflowStep": {
        "id": "<string>",
        "lqaEnabled": true,
        "name": "<string>",
        "order": 123,
        "uid": "<string>"
      }
    }
  ],
  "workflowSteps": [
    {
      "abbr": "<string>",
      "id": "<string>",
      "lqaEnabled": true,
      "name": "<string>",
      "order": 123,
      "uid": "<string>"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://developers.phrase.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.

Path Parameters

projectTemplateUid
string
required

Project template UID

Body

application/json

Clone parameters

name
string
required

Name of the cloned project template

Response

Created

assignedTo
object[]
businessUnit
object
client
object
createdBy
object
dateCreated
string<date-time>
dateModified
string<date-time>

Deprecated - use dateTimeModified field instead

Example:

"{ \"epochSeconds\": 1624619701, \"nano\": 0 }"

dateTimeModified
string<date-time>
domain
object
dynamicTitle
string
fileHandoverSettings
object
id
string
importSettings
object
modifiedBy
object
name
string
note
string
notifyProviders
object
owner
object
projectWorkflowSettings
object
sourceLang
string
subDomain
object
targetLangs
string[]
templateName
string
uid
string
useDynamicTitle
boolean
vendor
object
workflowSettings
object[]
workflowSteps
object[]